#
# spec file for package budgie-backgrounds
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           budgie-backgrounds
Version:        2.0+0
Release:        1.1
Summary:        The default background set for the Budgie Desktop
License:        CC0-1.0
Group:          System/GUI/Other
URL:            https://github.com/BuddiesOfBudgie/budgie-backgrounds
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  ImageMagick
BuildRequires:  jhead
BuildRequires:  meson
BuildArch:      noarch

%description
Budgie Backgrounds is the default set of background images for the Budgie Desktop.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%dir %{_datadir}/backgrounds
%{_datadir}/backgrounds/budgie
%dir %{_datadir}/gnome-background-properties
%{_datadir}/gnome-background-properties/budgie-backgrounds.xml

%changelog
* Tue Aug 29 2023 gmbr3@opensuse.org
- Update to version 2.0+0:
  * Add picture of Orange Hallway from Wikimedia Commons
  * Add picture of Singaporean Cityscape from Flickr
  * Add picture of Ocean Waves from rawpixel
  * Add picture of Extreme Desert Hike from Wikimedia Commons
  * Add picture of Casa Milá from Wikimedia Commons
  * Add picture of Dragonfly on Lavender from Wikimedia Commons
  * Add picture of Motherboard Circuits from Negative Space
  * Add picture of Blue Periwinkle from Wikimedia Commons
  * Add picture of Solaris Grapes from Wikimedia Commons
  * Avoid to install bash for build stage
* Sun Feb  5 2023 gmbr3@opensuse.org
- Update to version 1.0+0:
  * Added various material style wallpapers.
  * Add Amidst the Tea Gardens picture from Wikimedia Commons
  * Add picture of High Trestle Trail from Wikimedia Commons
  * Slightly increase contrast of Roman Colosseum background
  * Add picture of Piazza Gae Aulenti from Wikimedia Commons
  * Add image of Roman Colosseum from Wikimedia Commons
  * Add Accelerated Green wallpaper from Wikimedia Commons
  * Add 'A Kitten On The Lawn' wallpaper
  * Sort backgrounds by type
  * Add abstract spiral from Wikimedia Commons
  * Add Oakland Zoo otters from the Wikimedia Commons
  * Add canyon wren from Wikimedia Commons
  * Add image of perched osprey
* Tue Nov 22 2022 Callum Farmer <gmbr3@opensuse.org>
- Initial packaging version 0.1+9
